# Suppression List

Manage your suppression list - a list of recipient email addresses to which you do NOT want to send email.

A suppression list, also known as an exclusion list, stores a recipient's opt-out preferences. It is a list of recipient email addresses to which you do NOT want to send email. Each entry indicates whether the recipient opted out of receiving one of the following:

* Transactional messages - single recipient messages that are used operationally, e.g. to reset a password or confirm a purchase.
* Non-transactional messages - used to run email campaigns where a list of recipients are targeted, e.g. advertising a sales event.

**When setting up your account, we strongly recommend you import any suppression list you have from any previous service to avoid incorrectly sending mail to unsubscribed/invalid recipients.**

### Regional Endpoints

Please use the appropriate API endpoint based on your workspace region:

* EU workspaces: <https://email.eu-west-1.api.bird.com>
* US workspaces: <https://email.us-west-1.api.bird.com>

#### Recipient Maintenance

It's good practice to maintain your recipient lists by removing recipients based on the bounce, unsubscribe, and spam complaint events provided by the service. These events are available from webhooks and message events.

The service supports bulk importing or manually adding up to 1,000,000 suppression list entries total.

Each workspace has its own independent suppression list.

## Search Suppressions

> Perform a filtered search for entries in your suppression list. Returns an array of suppression objects.<br>

```json
{"openapi":"3.0.4","info":{"title":"Reach Email API","version":"1.0"},"tags":[{"name":"Suppression List","description":"Manage your suppression list - a list of recipient email addresses to which you do NOT want to send email.\n\nA suppression list, also known as an exclusion list, stores a recipient's opt-out preferences.\nIt is a list of recipient email addresses to which you do NOT want to send email.\nEach entry indicates whether the recipient opted out of receiving one of the following:\n\n* Transactional messages - single recipient messages that are used operationally, e.g. to reset a password or confirm a purchase.\n* Non-transactional messages - used to run email campaigns where a list of recipients are targeted, e.g. advertising a sales event.\n\n**When setting up your account, we strongly recommend you import any suppression list you have from any previous service to avoid incorrectly sending mail to unsubscribed/invalid recipients.**\n\n## Regional Endpoints\n\nPlease use the appropriate API endpoint based on your workspace region:\n\n- EU workspaces: https://email.eu-west-1.api.bird.com\n\n- US workspaces: https://email.us-west-1.api.bird.com\n\n### Recipient Maintenance\n\nIt's good practice to maintain your recipient lists by removing recipients based on the bounce, unsubscribe, and spam complaint events provided by the service.\nThese events are available from webhooks and message events.\n\nThe service supports bulk importing or manually adding up to 1,000,000 suppression list entries total.\n\nEach workspace has its own independent suppression list.\n"}],"servers":[{"url":"https://email.eu-west-1.api.bird.com/api","description":"Production endpoint for EU workspaces","variables":{"protocol":{"enum":["https"],"default":"https","description":"Protocol for API communication"}}},{"url":"https://email.us-west-1.api.bird.com/api","description":"Production endpoint for US workspaces","variables":{"protocol":{"enum":["https"],"default":"https","description":"Protocol for API communication"}}}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key for authentication. Format: `AccessKey <token>` or `Bearer <token>`.\n"}},"schemas":{"SearchSuppressionsResponse":{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/SuppressionObject"}},"links":{"type":"array","items":{"type":"object"}},"total_count":{"type":"integer"}}},"SuppressionObject":{"type":"object","properties":{"recipient":{"type":"string","description":"Email address to be suppressed."},"type":{"type":"string","enum":["transactional","non_transactional"],"description":"Type of suppression record."},"source":{"type":"string","enum":["Spam Complaint","List Unsubscribe","Bounce Rule","Unsubscribe Link","Manually Added","Compliance"],"description":"Source responsible for creating the list entry."},"description":{"type":"string","description":"Explanation for the suppression."},"created":{"type":"string","format":"date-time","description":"Date suppression was created."},"updated":{"type":"string","format":"date-time","description":"Last time the suppression was updated."},"transactional":{"type":"boolean","description":"Whether the recipient requested to not receive any transactional messages. Deprecated in favor of type."},"non_transactional":{"type":"boolean","description":"Whether the recipient requested to not receive any non-transactional messages. Deprecated in favor of type."},"subaccount_id":{"type":"number","description":"Which subaccount the recipient is suppressed for. Only returned if suppressed for a specific subaccount."}}}}},"paths":{"/workspaces/{workspaceId}/reach/suppression-list":{"get":{"tags":["Suppression List"],"summary":"Search Suppressions","description":"Perform a filtered search for entries in your suppression list. Returns an array of suppression objects.\n","parameters":[{"name":"workspaceId","in":"path","description":"The ID of the workspace","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"to","in":"query","description":"Date the suppressions were last updated, in the format of YYYY-MM-DDTHH:mm:ssZ","schema":{"type":"string","format":"date-time","default":"now"}},{"name":"from","in":"query","description":"Date the suppressions were last updated, in the format YYYY-MM-DDTHH:mm:ssZ","schema":{"type":"string","format":"date-time"}},{"name":"domain","in":"query","description":"Domains to match in the search","schema":{"type":"string"}},{"name":"sources","in":"query","description":"Sources to match in the search, i.e. entries that were added by this source","schema":{"type":"string"}},{"name":"types","in":"query","description":"Types of suppressions to match in the search","schema":{"type":"string"}},{"name":"description","in":"query","description":"String to match in suppression descriptions","schema":{"type":"string"}},{"name":"description_strict","in":"query","description":"When set to true, will match the exact content in the search description","schema":{"type":"boolean","default":false}},{"name":"cursor","in":"query","description":"The results cursor location to return","schema":{"type":"string"}},{"name":"per_page","in":"query","description":"Maximum number of results to return per page (1-10000)","schema":{"type":"integer","default":1000,"minimum":1,"maximum":10000}},{"name":"page","in":"query","description":"The results page number to return","schema":{"type":"integer"}},{"name":"sort","in":"query","description":"Sort by updated field","schema":{"type":"string","enum":["asc","desc"],"default":"desc"}}],"responses":{"200":{"description":"Successfully retrieved suppressions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchSuppressionsResponse"}}}}}}}}}
```

## Bulk Create or Update Suppressions

> Bulk create or update entries in the suppression list.\
> \
> If a recipient was added by our compliance system, it cannot be updated.\
> \
> Please note that in the unlikely scenario where your receive a HTTP 5xx level error response while bulk loading, only some of your suppression entries may have been successfully created or updated.\
> If this occurs, please re-submit your original request again for processing.<br>

```json
{"openapi":"3.0.4","info":{"title":"Reach Email API","version":"1.0"},"tags":[{"name":"Suppression List","description":"Manage your suppression list - a list of recipient email addresses to which you do NOT want to send email.\n\nA suppression list, also known as an exclusion list, stores a recipient's opt-out preferences.\nIt is a list of recipient email addresses to which you do NOT want to send email.\nEach entry indicates whether the recipient opted out of receiving one of the following:\n\n* Transactional messages - single recipient messages that are used operationally, e.g. to reset a password or confirm a purchase.\n* Non-transactional messages - used to run email campaigns where a list of recipients are targeted, e.g. advertising a sales event.\n\n**When setting up your account, we strongly recommend you import any suppression list you have from any previous service to avoid incorrectly sending mail to unsubscribed/invalid recipients.**\n\n## Regional Endpoints\n\nPlease use the appropriate API endpoint based on your workspace region:\n\n- EU workspaces: https://email.eu-west-1.api.bird.com\n\n- US workspaces: https://email.us-west-1.api.bird.com\n\n### Recipient Maintenance\n\nIt's good practice to maintain your recipient lists by removing recipients based on the bounce, unsubscribe, and spam complaint events provided by the service.\nThese events are available from webhooks and message events.\n\nThe service supports bulk importing or manually adding up to 1,000,000 suppression list entries total.\n\nEach workspace has its own independent suppression list.\n"}],"servers":[{"url":"https://email.eu-west-1.api.bird.com/api","description":"Production endpoint for EU workspaces","variables":{"protocol":{"enum":["https"],"default":"https","description":"Protocol for API communication"}}},{"url":"https://email.us-west-1.api.bird.com/api","description":"Production endpoint for US workspaces","variables":{"protocol":{"enum":["https"],"default":"https","description":"Protocol for API communication"}}}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key for authentication. Format: `AccessKey <token>` or `Bearer <token>`.\n"}},"schemas":{"BulkSuppressionRequest":{"type":"object","required":["recipients"],"properties":{"recipients":{"type":"array","description":"Array of recipient objects to add to or updates in the suppression list. Max size 50mb. Max length 10,000.","items":{"$ref":"#/components/schemas/SuppressionRecipient"}}}},"SuppressionRecipient":{"type":"object","required":["recipient","type"],"properties":{"recipient":{"type":"string","description":"Email address to be suppressed."},"type":{"type":"string","enum":["transactional","non_transactional"],"description":"Type of suppression record."},"description":{"type":"string","description":"Explanation for the suppression."}}},"BulkSuppressionResponse":{"type":"object","properties":{"results":{"type":"object","properties":{"message":{"type":"string"}}}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Machine readable error code"},"message":{"type":"string","description":"Human readable error message"},"description":{"type":"string","description":"Detailed error description"}}}}}}}},"paths":{"/workspaces/{workspaceId}/reach/suppression-list":{"put":{"tags":["Suppression List"],"summary":"Bulk Create or Update Suppressions","description":"Bulk create or update entries in the suppression list.\n\nIf a recipient was added by our compliance system, it cannot be updated.\n\nPlease note that in the unlikely scenario where your receive a HTTP 5xx level error response while bulk loading, only some of your suppression entries may have been successfully created or updated.\nIf this occurs, please re-submit your original request again for processing.\n","parameters":[{"name":"workspaceId","in":"path","description":"The ID of the workspace","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkSuppressionRequest"}}}},"responses":{"200":{"description":"Successfully updated suppression list","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkSuppressionResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Retrieve a Suppression

> Return all suppression entries for a recipient. If the recipient is not in the suppression list, an HTTP status of 404 is returned.\
> \
> Searches across multiple lists can return out of date results, with a delay of up to 20 minutes.\
> Searches against a specific list are not affected by this delay and return up-to-date information.<br>

```json
{"openapi":"3.0.4","info":{"title":"Reach Email API","version":"1.0"},"tags":[{"name":"Suppression List","description":"Manage your suppression list - a list of recipient email addresses to which you do NOT want to send email.\n\nA suppression list, also known as an exclusion list, stores a recipient's opt-out preferences.\nIt is a list of recipient email addresses to which you do NOT want to send email.\nEach entry indicates whether the recipient opted out of receiving one of the following:\n\n* Transactional messages - single recipient messages that are used operationally, e.g. to reset a password or confirm a purchase.\n* Non-transactional messages - used to run email campaigns where a list of recipients are targeted, e.g. advertising a sales event.\n\n**When setting up your account, we strongly recommend you import any suppression list you have from any previous service to avoid incorrectly sending mail to unsubscribed/invalid recipients.**\n\n## Regional Endpoints\n\nPlease use the appropriate API endpoint based on your workspace region:\n\n- EU workspaces: https://email.eu-west-1.api.bird.com\n\n- US workspaces: https://email.us-west-1.api.bird.com\n\n### Recipient Maintenance\n\nIt's good practice to maintain your recipient lists by removing recipients based on the bounce, unsubscribe, and spam complaint events provided by the service.\nThese events are available from webhooks and message events.\n\nThe service supports bulk importing or manually adding up to 1,000,000 suppression list entries total.\n\nEach workspace has its own independent suppression list.\n"}],"servers":[{"url":"https://email.eu-west-1.api.bird.com/api","description":"Production endpoint for EU workspaces","variables":{"protocol":{"enum":["https"],"default":"https","description":"Protocol for API communication"}}},{"url":"https://email.us-west-1.api.bird.com/api","description":"Production endpoint for US workspaces","variables":{"protocol":{"enum":["https"],"default":"https","description":"Protocol for API communication"}}}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key for authentication. Format: `AccessKey <token>` or `Bearer <token>`.\n"}},"schemas":{"GetSuppressionResponse":{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/SuppressionObject"}},"links":{"type":"array","items":{"type":"object"}},"total_count":{"type":"integer"}}},"SuppressionObject":{"type":"object","properties":{"recipient":{"type":"string","description":"Email address to be suppressed."},"type":{"type":"string","enum":["transactional","non_transactional"],"description":"Type of suppression record."},"source":{"type":"string","enum":["Spam Complaint","List Unsubscribe","Bounce Rule","Unsubscribe Link","Manually Added","Compliance"],"description":"Source responsible for creating the list entry."},"description":{"type":"string","description":"Explanation for the suppression."},"created":{"type":"string","format":"date-time","description":"Date suppression was created."},"updated":{"type":"string","format":"date-time","description":"Last time the suppression was updated."},"transactional":{"type":"boolean","description":"Whether the recipient requested to not receive any transactional messages. Deprecated in favor of type."},"non_transactional":{"type":"boolean","description":"Whether the recipient requested to not receive any non-transactional messages. Deprecated in favor of type."},"subaccount_id":{"type":"number","description":"Which subaccount the recipient is suppressed for. Only returned if suppressed for a specific subaccount."}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Machine readable error code"},"message":{"type":"string","description":"Human readable error message"},"description":{"type":"string","description":"Detailed error description"}}}}}}}},"paths":{"/workspaces/{workspaceId}/reach/suppression-list/{recipient}":{"get":{"tags":["Suppression List"],"summary":"Retrieve a Suppression","description":"Return all suppression entries for a recipient. If the recipient is not in the suppression list, an HTTP status of 404 is returned.\n\nSearches across multiple lists can return out of date results, with a delay of up to 20 minutes.\nSearches against a specific list are not affected by this delay and return up-to-date information.\n","parameters":[{"name":"workspaceId","in":"path","description":"The ID of the workspace","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"recipient","in":"path","description":"Recipient email address","required":true,"schema":{"type":"string"}},{"name":"types","in":"query","description":"Types of suppressions to match in the search","schema":{"type":"string"}},{"name":"cursor","in":"query","description":"The results cursor location to return","schema":{"type":"string"}},{"name":"per_page","in":"query","description":"Maximum number of results to return per page (1-10000)","schema":{"type":"integer","default":1000,"minimum":1,"maximum":10000}},{"name":"page","in":"query","description":"The results page number to return","schema":{"type":"integer"}}],"responses":{"200":{"description":"Successfully retrieved suppression","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetSuppressionResponse"}}}},"404":{"description":"Recipient not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Create or Update a Suppression

> Create or update a suppression entry. If the recipient was added by our compliance system, it cannot be updated.<br>

```json
{"openapi":"3.0.4","info":{"title":"Reach Email API","version":"1.0"},"tags":[{"name":"Suppression List","description":"Manage your suppression list - a list of recipient email addresses to which you do NOT want to send email.\n\nA suppression list, also known as an exclusion list, stores a recipient's opt-out preferences.\nIt is a list of recipient email addresses to which you do NOT want to send email.\nEach entry indicates whether the recipient opted out of receiving one of the following:\n\n* Transactional messages - single recipient messages that are used operationally, e.g. to reset a password or confirm a purchase.\n* Non-transactional messages - used to run email campaigns where a list of recipients are targeted, e.g. advertising a sales event.\n\n**When setting up your account, we strongly recommend you import any suppression list you have from any previous service to avoid incorrectly sending mail to unsubscribed/invalid recipients.**\n\n## Regional Endpoints\n\nPlease use the appropriate API endpoint based on your workspace region:\n\n- EU workspaces: https://email.eu-west-1.api.bird.com\n\n- US workspaces: https://email.us-west-1.api.bird.com\n\n### Recipient Maintenance\n\nIt's good practice to maintain your recipient lists by removing recipients based on the bounce, unsubscribe, and spam complaint events provided by the service.\nThese events are available from webhooks and message events.\n\nThe service supports bulk importing or manually adding up to 1,000,000 suppression list entries total.\n\nEach workspace has its own independent suppression list.\n"}],"servers":[{"url":"https://email.eu-west-1.api.bird.com/api","description":"Production endpoint for EU workspaces","variables":{"protocol":{"enum":["https"],"default":"https","description":"Protocol for API communication"}}},{"url":"https://email.us-west-1.api.bird.com/api","description":"Production endpoint for US workspaces","variables":{"protocol":{"enum":["https"],"default":"https","description":"Protocol for API communication"}}}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key for authentication. Format: `AccessKey <token>` or `Bearer <token>`.\n"}},"schemas":{"UpdateSuppressionRequest":{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["transactional","non_transactional"],"description":"Type of suppression record."},"description":{"type":"string","description":"Explanation for the suppression."}}},"UpdateSuppressionResponse":{"type":"object","properties":{"results":{"type":"object","properties":{"message":{"type":"string"}}}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Machine readable error code"},"message":{"type":"string","description":"Human readable error message"},"description":{"type":"string","description":"Detailed error description"}}}}}}}},"paths":{"/workspaces/{workspaceId}/reach/suppression-list/{recipient}":{"put":{"tags":["Suppression List"],"summary":"Create or Update a Suppression","description":"Create or update a suppression entry. If the recipient was added by our compliance system, it cannot be updated.\n","parameters":[{"name":"workspaceId","in":"path","description":"The ID of the workspace","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"recipient","in":"path","description":"Recipient email address","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSuppressionRequest"}}}},"responses":{"200":{"description":"Successfully updated suppression","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSuppressionResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Delete a Suppression

> Delete a suppression entry for a recipient.<br>

```json
{"openapi":"3.0.4","info":{"title":"Reach Email API","version":"1.0"},"tags":[{"name":"Suppression List","description":"Manage your suppression list - a list of recipient email addresses to which you do NOT want to send email.\n\nA suppression list, also known as an exclusion list, stores a recipient's opt-out preferences.\nIt is a list of recipient email addresses to which you do NOT want to send email.\nEach entry indicates whether the recipient opted out of receiving one of the following:\n\n* Transactional messages - single recipient messages that are used operationally, e.g. to reset a password or confirm a purchase.\n* Non-transactional messages - used to run email campaigns where a list of recipients are targeted, e.g. advertising a sales event.\n\n**When setting up your account, we strongly recommend you import any suppression list you have from any previous service to avoid incorrectly sending mail to unsubscribed/invalid recipients.**\n\n## Regional Endpoints\n\nPlease use the appropriate API endpoint based on your workspace region:\n\n- EU workspaces: https://email.eu-west-1.api.bird.com\n\n- US workspaces: https://email.us-west-1.api.bird.com\n\n### Recipient Maintenance\n\nIt's good practice to maintain your recipient lists by removing recipients based on the bounce, unsubscribe, and spam complaint events provided by the service.\nThese events are available from webhooks and message events.\n\nThe service supports bulk importing or manually adding up to 1,000,000 suppression list entries total.\n\nEach workspace has its own independent suppression list.\n"}],"servers":[{"url":"https://email.eu-west-1.api.bird.com/api","description":"Production endpoint for EU workspaces","variables":{"protocol":{"enum":["https"],"default":"https","description":"Protocol for API communication"}}},{"url":"https://email.us-west-1.api.bird.com/api","description":"Production endpoint for US workspaces","variables":{"protocol":{"enum":["https"],"default":"https","description":"Protocol for API communication"}}}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key for authentication. Format: `AccessKey <token>` or `Bearer <token>`.\n"}},"schemas":{"DeleteSuppressionRequest":{"type":"object","properties":{"type":{"type":"string","enum":["transactional","non_transactional"],"description":"The type of suppression to delete. If not provided, the suppression will be deleted for both transactional and non-transactional."}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Machine readable error code"},"message":{"type":"string","description":"Human readable error message"},"description":{"type":"string","description":"Detailed error description"}}}}}}}},"paths":{"/workspaces/{workspaceId}/reach/suppression-list/{recipient}":{"delete":{"tags":["Suppression List"],"summary":"Delete a Suppression","description":"Delete a suppression entry for a recipient.\n","parameters":[{"name":"workspaceId","in":"path","description":"The ID of the workspace","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"recipient","in":"path","description":"Recipient email address","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteSuppressionRequest"}}}},"responses":{"204":{"description":"Successfully deleted suppression"},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Recipient not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Retrieve Summary

> Returns the total number of suppressions for your account, as well as a break down of suppressions by source.

```json
{"openapi":"3.0.4","info":{"title":"Reach Email API","version":"1.0"},"tags":[{"name":"Suppression List","description":"Manage your suppression list - a list of recipient email addresses to which you do NOT want to send email.\n\nA suppression list, also known as an exclusion list, stores a recipient's opt-out preferences.\nIt is a list of recipient email addresses to which you do NOT want to send email.\nEach entry indicates whether the recipient opted out of receiving one of the following:\n\n* Transactional messages - single recipient messages that are used operationally, e.g. to reset a password or confirm a purchase.\n* Non-transactional messages - used to run email campaigns where a list of recipients are targeted, e.g. advertising a sales event.\n\n**When setting up your account, we strongly recommend you import any suppression list you have from any previous service to avoid incorrectly sending mail to unsubscribed/invalid recipients.**\n\n## Regional Endpoints\n\nPlease use the appropriate API endpoint based on your workspace region:\n\n- EU workspaces: https://email.eu-west-1.api.bird.com\n\n- US workspaces: https://email.us-west-1.api.bird.com\n\n### Recipient Maintenance\n\nIt's good practice to maintain your recipient lists by removing recipients based on the bounce, unsubscribe, and spam complaint events provided by the service.\nThese events are available from webhooks and message events.\n\nThe service supports bulk importing or manually adding up to 1,000,000 suppression list entries total.\n\nEach workspace has its own independent suppression list.\n"}],"servers":[{"url":"https://email.eu-west-1.api.bird.com/api","description":"Production endpoint for EU workspaces","variables":{"protocol":{"enum":["https"],"default":"https","description":"Protocol for API communication"}}},{"url":"https://email.us-west-1.api.bird.com/api","description":"Production endpoint for US workspaces","variables":{"protocol":{"enum":["https"],"default":"https","description":"Protocol for API communication"}}}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key for authentication. Format: `AccessKey <token>` or `Bearer <token>`.\n"}},"schemas":{"SuppressionSummaryResponse":{"type":"object","properties":{"results":{"type":"object","properties":{"compliance":{"type":"integer"},"manually_added":{"type":"integer"},"unsubscribe_link":{"type":"integer"},"bounce_rule":{"type":"integer"},"list_unsubscribe":{"type":"integer"},"spam_complaint":{"type":"integer"},"total":{"type":"integer"}}}}}}},"paths":{"/workspaces/{workspaceId}/reach/suppression-list/summary":{"get":{"tags":["Suppression List"],"summary":"Retrieve Summary","description":"Returns the total number of suppressions for your account, as well as a break down of suppressions by source.","parameters":[{"name":"workspaceId","in":"path","description":"The ID of the workspace","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Successfully retrieved summary","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuppressionSummaryResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/email-api/suppression-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
